LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
DatabaseAccessDataSource Service Referencepublished

is a factory to create data access beans. More...

`import"DatabaseAccessDataSource.idl";`

Inheritance diagram for DatabaseAccessDataSource:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::sdbc::XDataSource
interface | XCompletedConnection
| is optional for implementation. More...

## Public Attributes
string | URL
| locates the database access bean. More...
com::sun::star::ucb::RememberAuthentication | PasswordMode
| determines the password handling. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDataSource
XConnection | getConnection ([in]string user, [in]string password) raises (SQLException)
| attempts to establish a database connection. More...
void | setLoginTimeout ([in]long seconds) raises (SQLException)
| sets the maximum time in seconds that this data source will wait while attempting to connect to a database. More...
long | getLoginTimeout () raises (SQLException)
| gets the maximum time in seconds that this data source can wait while attempting to connect to a database. More...
Protected Member Functions inherited from XCompletedConnection
com::sun::star::sdbc::XConnection | connectWithCompletion ([in]com::sun::star::task::XInteractionHandler handler) raises (com::sun::star::sdbc::SQLException)
| attempts to establish a database connection. More...

## Detailed Description

is a factory to create data access beans.

Data access beans are shared among components, so if an already existing bean is requested, the existing one is returned.

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::sdbc::XDataSource

interface com::sun::star::sdbc::XDataSource

## ◆ XCompletedConnection

interface XCompletedConnection
| optional

is optional for implementation.

## Member Data Documentation

## ◆ PasswordMode

com::sun::star::ucb::RememberAuthentication PasswordMode
| optional property

determines the password handling.

## ◆ URL

string URL
| property

locates the database access bean.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DatabaseAccessDataSource.idl